#! /bin/tcsh
# Correction de l'exercice 3 du TD2

# Je verifie que l'utilisateur sait se servir de mon script
if ($# == 1) then
    # Je cree une variable afin d'avoir un nom specifique
    set rep=$1
else
    # L'utilisateur ne connait pas la syntaxe : je la rappelle, puis je quitte
    echo "Syntaxe : $ $0 <repertoire>"
    exit
endif

if (-d $rep) then
    cd $rep
else
    echo "$rep n'est pas un repertoire"
    exit
endif

# Je cree mes fichiers
touch fic0
touch fic1.txt
touch fic2.txt
touch fic3.txt
touch fic4

# Je liste tous les fichiers .txt crees
foreach fichier (*.txt)
    echo "$fichier est cree"
end

# Je change les droits d'acces des fichiers qui ne terminent pas en .txt
foreach fichier (^*.txt)
    chmod u+x $fichier
end
